
<div class="container">
<div class=" panel panel-default">
  <div class="panel-heading">
  <h3> <strong> Modifier Agent </strong></h3>
  </div>
  
  <br>

<div class="panel-body" >

  <form (ngSubmit)="onSubmit()" >
      <div class="form-row">


          <div class="col-md-4 mb-3">
    <div class="form-group">
      <span>  Id </span>&nbsp; 
      <input disabled name="id"   [(ngModel)]="agent.id">
    </div>
    </div>

    <div class="col-md-4 mb-3">
    <div class="form-group">
     <span> Cin </span> &nbsp; 
   <input type="number" name="cin" [(ngModel)]="agent.cin">
 </div>
 </div>

 <div class="col-md-4 mb-3">
    <div class="form-group">
      <span>  Nom  </span>&nbsp; 
       <input type="text" name="nom" [(ngModel)]="agent.nom">
     </div>
     </div>


     <div class="col-md-4 mb-3">
     <div class="form-group">
        <span>Prénom </span> &nbsp; 
       <input type="text" name="prenom"   [(ngModel)]="agent.prenom">
     </div>
     </div>
      

     <div class="col-md-4 mb-3">
     <div class="form-group">
        <span>Email  </span>&nbsp; 
       <input type="email" name="email" [(ngModel)]="agent.email">
     
     </div>
     </div>

     
     <div class="col-md-4 mb-3">
     <div class="form-group">
        <span>Login  </span>&nbsp; 
       <input type="text" name="login"  [(ngModel)]="agent.login">
     </div>
     </div>

     <div class="col-md-4 mb-3">
     <div class="form-group">
      <span>  Mot de passe </span> &nbsp; 
       <input type="text" name="mot_de_passe"  [(ngModel)]="agent.mot_de_passe">
     </div>
     </div>

     <div class="col-md-4 mb-3">
        <div class="form-group">
         <span> Tél</span> &nbsp; 
          <input type="number" name="tel"  [(ngModel)]="agent.tel">
        </div>
        </div>

        <div class="col-md-4 mb-3">
            <div class="form-group">
             <span> Date de création </span> &nbsp; 
              <input type="date" name="date_creation"  [(ngModel)]="agent.date_creation">
            </div>
            </div>
     </div>
     <br>
     <button type="submit" class="btn btn-success"> Confirmer </button>
     &nbsp;
     &nbsp;
    
     <button class="btn btn-warning" (click)="retour()" type="reset"> Annuler </button>

  </form>
</div>
</div>
